com.jogamp.nativewindow.awt

## Class AWTGraphicsDevice

- java.lang.Object
- - javax.media.nativewindow.DefaultGraphicsDevice
  - - com.jogamp.nativewindow.awt.AWTGraphicsDevice

- All Implemented Interfaces:
    Cloneable, AbstractGraphicsDevice

      public class AWTGraphicsDevice
      extends DefaultGraphicsDevice
      implements Cloneable

  A wrapper for an AWT GraphicsDevice allowing it to be handled in a toolkit-independent manner.

- - ### Field Summary

    - ### Fields inherited from interface javax.media.nativewindow.AbstractGraphicsDevice

      `DEBUG, DEFAULT_CONNECTION, DEFAULT_UNIT, EXTERNAL_CONNECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTGraphicsDevice(GraphicsDevice device, int unitID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `static AWTGraphicsDevice` | `createDefault()`
    `GraphicsDevice` | `getGraphicsDevice()`
    `String` | `toString()`

    - ### Methods inherited from class javax.media.nativewindow.DefaultGraphicsDevice

      `clearHandleOwner, close, getConnection, getHandle, getToolkitLock, getType, getUniqueID, getUnitID, isHandleOwner, lock, open, swapDeviceHandleAndOwnership, unlock, validateLocked`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTGraphicsDevice

          public AWTGraphicsDevice(GraphicsDevice device,
                           int unitID)

  - ### Method Detail

    - #### createDefault

          public static AWTGraphicsDevice createDefault()

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `AbstractGraphicsDevice`
      Overrides:
        `clone` in class `DefaultGraphicsDevice`

    - #### getGraphicsDevice

          public GraphicsDevice getGraphicsDevice()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DefaultGraphicsDevice`

Copyright 2010 JogAmp Community.